> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete project secret file



## OpenAPI

````yaml api-reference/openapi.v1.json DELETE /projects/{id}/secret-files/{file_key}
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /projects/{id}/secret-files/{file_key}:
    delete:
      tags:
        - secret-files
      summary: Delete project secret file
      operationId: deleteProjectSecretFile
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
        - description: Unpadded base64url-encoded UTF-8 project-relative file path
          in: path
          name: file_key
          required: true
          schema:
            description: Unpadded base64url-encoded UTF-8 project-relative file path
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretFileDeleteResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    SecretFileDeleteResponse:
      additionalProperties: false
      properties:
        status:
          enum:
            - deleted
          type: string
      required:
        - status
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````